Bug 607081 - (perl-Data-Taxi) Review Request: perl-Data-Taxi - Taint-aware, XML-ish data serialization
Review Request: perl-Data-Taxi - Taint-aware, XML-ish data serialization
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Data-Taxi/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 03:31 EDT by Iain Arnell
Modified: 2010-07-08 14:27 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Data-Taxi-0.95-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 14:15:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-06-23 03:31:53 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Data-Taxi.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Data-Taxi-0.95-1.fc14.src.rpm

Description:
Taxi (Taint-Aware XML-Ish) is a data serializer with several handy
features.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2266895

*rt-0.10_01
Comment 1 Parag AN(पराग) 2010-06-23 06:34:28 EDT
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2266895
+ rpmlint output for SRPM and for RPM.
perl-Data-Taxi.noarch: W: spelling-error Summary(en_US) ish -> is, sh, dish
perl-Data-Taxi.noarch: W: spelling-error %description -l en_US serializer -> serialize, serializes, serialized
perl-Data-Taxi.src: W: spelling-error Summary(en_US) ish -> is, sh, dish
perl-Data-Taxi.src: W: spelling-error %description -l en_US serializer -> serialize, serializes, serialized
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ source files match upstream url (sha1sum)
e7bed3a84a844d669219fd77d74ba44cbb562943  Data-Taxi-0.95.tar.gz
e7bed3a84a844d669219fd77d74ba44cbb562943  Data-Taxi-0.95.tar.gz.srpm

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
ok 1
+ Package perl-Data-Taxi-0.95-1.fc14.noarch=>
Provides: perl(Data::Taxi) = 0.95
Requires: perl >= 0:5.006 perl(Carp) perl(constant) perl(Exporter) perl(strict) perl(vars) rpmlib(VersionedDependencies) <= 3.0.3-1
+ Not a GUI application

Suggestions:
1) I think Changelog should include email id of packager also.

APPROVED.
Comment 2 Ralf Corsepius 2010-06-23 07:20:28 EDT
@Ian: why do you need this package?

This package appears dead and unsupported, to me:

From http://search.cpan.org/~miko/Data-Taxi-0.95/Taxi.pm
"PLEASE NOTE: Data::Taxi is no longer being developed or supported."

Provided this, unless there is a very strong reason to include it into Fedora, my advise would be not to include it and to revoke the approval, because in longer terms such packages tend to become broken and unmaintainable.
Comment 3 Iain Arnell 2010-06-23 11:50:54 EDT
(In reply to comment #2)

It's an optional dependency of Catalyst-Action-REST. There are currently no active bugs upstream, nor any notable test failures. If it does prove troublesome in future, I'd be happy becoming upstream (or dropping it if it becomes too badly broken).
Comment 4 Iain Arnell 2010-06-24 23:06:02 EDT
New Package CVS Request
=======================
Package Name: perl-Data-Taxi
Short Description: Taint-aware, XML-ish data serialization
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig
Comment 5 Jason Tibbitts 2010-06-26 04:05:20 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Iain Arnell 2010-06-26 07:00:13 EDT
spec fixed and imported to rawhide
Comment 7 Fedora Update System 2010-06-26 07:01:12 EDT
perl-Data-Taxi-0.95-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Data-Taxi-0.95-1.fc13
Comment 8 Fedora Update System 2010-06-26 07:01:20 EDT
perl-Data-Taxi-0.95-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Data-Taxi-0.95-1.fc12
Comment 9 Fedora Update System 2010-06-28 13:10:57 EDT
perl-Data-Taxi-0.95-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-Taxi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Data-Taxi-0.95-1.fc12
Comment 10 Fedora Update System 2010-06-28 13:19:37 EDT
perl-Data-Taxi-0.95-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-Taxi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Data-Taxi-0.95-1.fc13
Comment 11 Fedora Update System 2010-07-08 14:15:34 EDT
perl-Data-Taxi-0.95-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-07-08 14:27:45 EDT
perl-Data-Taxi-0.95-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.